import { type LockfileObject } from '@pnpm/lockfile.fs';
import { type IncludedDependencies } from '@pnpm/modules-yaml';
import { type PatchGroupRecord } from '@pnpm/patching.config';
import { type SupportedArchitectures, type Registries } from '@pnpm/types';
import { type StoreController } from '@pnpm/store-controller-types';
import { type HoistingLimits } from '@pnpm/real-hoist';
import { type LockfileToDepGraphResult } from '@pnpm/deps.graph-builder';
export interface LockfileToHoistedDepGraphOptions {
    autoInstallPeers: boolean;
    engineStrict: boolean;
    force: boolean;
    hoistingLimits?: HoistingLimits;
    externalDependencies?: Set<string>;
    importerIds: string[];
    include: IncludedDependencies;
    ignoreScripts: boolean;
    currentHoistedLocations?: Record<string, string[]>;
    lockfileDir: string;
    modulesDir?: string;
    nodeVersion: string;
    pnpmVersion: string;
    registries: Registries;
    patchedDependencies?: PatchGroupRecord;
    sideEffectsCacheRead: boolean;
    skipped: Set<string>;
    storeController: StoreController;
    storeDir: string;
    virtualStoreDir: string;
    supportedArchitectures?: SupportedArchitectures;
}
export declare function lockfileToHoistedDepGraph(lockfile: LockfileObject, currentLockfile: LockfileObject | null, opts: LockfileToHoistedDepGraphOptions): Promise<LockfileToDepGraphResult>;
